<?php
declare(strict_types=1);

namespace App\State\Processor\Organization;

use App\State\Processor\EntityProcessor;
use App\Service\OnChange\Organization\OnOrganizationChange;
use JetBrains\PhpStorm\Pure;

/**
 * Classe OrganizationProcessor qui est un custom dataPersister gérant la resource Organization
 */
class OrganizationProcessor extends EntityProcessor
{
    #[Pure]
    public function __construct(
        OnOrganizationChange $onChange
    )
    {
        parent::__construct($onChange);
    }
}
